/* simpleorm class org.hmn.jrsd.test.DETAIL_TABLE_gen */
package org.hmn.jrsd.test;
import simpleorm.dataset.*;
import simpleorm.sessionjdbc.SSessionJdbc;

import org.apache.log4j.Logger;
import org.hmn.jrsd.rt.TransportMappings;
import org.hmn.jrsd.rt.FieldList;

import java.math.BigDecimal;
  import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
  
/**
 * Manually edited class for experiments
 * 
 * @author karadimas
 */
public class DETAIL_TABLE_manual
extends SRecordInstance
{
  
  private static final long serialVersionUID = -7339436954870555107L;

  static Logger lg = Logger.getLogger(DETAIL_TABLE_manual.class);
  
  /** indicates the jrsd table version number */
  public int getSqlSourceVersion() { return 1; }
  
  public static final SRecordMeta<DETAIL_TABLE_manual> meta =
      new SRecordMeta<DETAIL_TABLE_manual>(org.hmn.jrsd.test.DETAIL_TABLE_manual.class, "DETAIL_TABLE");

  static final public SFieldInteger cDETAIL_TABLE_ID =
    new SFieldInteger(meta, "DETAIL_TABLE_ID", SFieldFlags.SPRIMARY_KEY);
  static final public SFieldString cDESCR =
    new SFieldString(meta, "DESCR"     , 30  );
  static final public SFieldInteger cMASTER_TABLE_ID =
    new SFieldInteger(meta, "MASTER_TABLE_ID");
  static final public SFieldReference<MASTER_TABLE_gen> ref_MASTER_TABLE =
    new SFieldReference<MASTER_TABLE_gen>(meta, MASTER_TABLE_gen.meta, "ref_MASTER_TABLE");

    

  
  public Integer getDETAIL_TABLE_ID() {
    return (Integer)getObject(cDETAIL_TABLE_ID); 
  }
    
  public void setDETAIL_TABLE_ID(Integer v) {
    setObject(cDETAIL_TABLE_ID, v);
  }
  
  public String getDESCR() {
    return (String)getObject(cDESCR); 
  }
    
  public void setDESCR(String v) {
    setObject(cDESCR, v);
  }
    
  public SRecordMeta<DETAIL_TABLE_manual> getMeta() { return meta; }
  
  
  //transport mappings

  static public List<DETAIL_TABLE_manual> getRecordsForMaster(Integer mid)
  {
    SSessionJdbc session = SSessionJdbc.getThreadLocalSession();
    ArrayList<DETAIL_TABLE_manual> r = new ArrayList<DETAIL_TABLE_manual>();
    /*
     *     SQuery<DETAIL_TABLE_manual> q = 
      new SQuery<DETAIL_TABLE_manual>(DETAIL_TABLE_manual.meta)
        .join(ref_MASTER_TABLE)
        .eq(MASTER_TABLE_gen.cMASTER_TABLE_ID, mid);

     */
    SQuery<DETAIL_TABLE_manual> q = 
      new SQuery<DETAIL_TABLE_manual>(DETAIL_TABLE_manual.meta)
        .join(ref_MASTER_TABLE)
        .eq(MASTER_TABLE_gen.MASTER_TABLE_ID, mid);
    List<DETAIL_TABLE_manual> recs = session.query(q);
    for (DETAIL_TABLE_manual rec:recs) {
      lg.info("Descr:"+rec.getDESCR());      
      r.add(rec);
    }
    return r;
  }
  
  
}