package org.hmn.jrsd.rt;

import java.util.ArrayList;
import java.util.List;

/**
 * A list of columns; you can add columns to this list from a jrsd file.
 * @author karadimas
 */
abstract
public class GlobalColumnList
{
  ArrayList<QColumn> cols = new ArrayList<QColumn>();
  
  /**
   * Return the static object that contains the declaration of the qualified
   * columns.
   * @return
   */
  abstract
  public GlobalColumnList getGlobalColumns();
  
  /**
   * 
   */
  public GlobalColumnList()
  {
  }
  
  public GlobalColumnList add(QColumn qc) { cols.add(qc); return this; } 
  
  public List<QColumn> getQColumns() { return cols; }
  
  
}
