package org.hmn.jrsd.rt;

/**
 * A transport object that implements this interface knows how to retrieve
 * its primary key values as an array. This makes retrieval from the database
 * simple to manage, especially for DbOps.
 * @author Karadimas
 *
 */
public interface PrimaryKeysRetrievable
{
  Object[] getPrimaryKeyValues();
}
