package org.hmn.jrsd.demo;

import simpleorm.dataset.SFieldMeta;
import simpleorm.dataset.SFieldScalar;
import simpleorm.dataset.SRecordInstance;
/*
 * 
 * Cree par Harry Karadimas a 11 sept. 08
 */
abstract
public class TableFieldHandler
{
  SFieldScalar fm;
  JrsdRecordTableModel<? extends SRecordInstance> tm;
  
  public TableFieldHandler(
      SFieldScalar fm, 
      JrsdRecordTableModel<? extends SRecordInstance> tm)
  {
    this.fm = fm;
    this.tm = tm;
  }
  
  public Class<?> getColumnClass(int columnIndex) { return Object.class; }
  
  abstract
  public Object getValueAt(int rowIndex, int columnIndex);
  
  public boolean isCellEditable(int rowIndex, int columnIndex)
  {
    return false;
  }
  
  public String getColumnName(int columnIndex) 
  {
    return fm.getColumnName();
  }

  public SFieldScalar getSFieldScalar() { return fm; }
  
}
