package org.hmn.jrsd.test;

import simpleorm.dataset.SFieldFlags;
import simpleorm.dataset.SFieldInteger;
import simpleorm.dataset.SFieldString;
import simpleorm.dataset.SRecordInstance;
import simpleorm.dataset.SRecordMeta;

/**
 * A table whose name contains spaces. Also contains a column with spaces.
 */
public class H2_TABLE_WITH_SPACES
extends SRecordInstance
{
  private static final long serialVersionUID = 1L;

  static SRecordMeta<H2_TABLE_WITH_SPACES> meta = 
    new SRecordMeta<H2_TABLE_WITH_SPACES>(
        H2_TABLE_WITH_SPACES.class, "H2 TABLE WITH SPACES").setQuoted(true);
    
  public static SFieldInteger cID = 
    new SFieldInteger(meta, "ID", SFieldFlags.SPRIMARY_KEY);
  
  public static SFieldString cSOME_NAME = 
    new SFieldString(meta, "SOME NAME", 64).setQuoted(true);
  
  @Override
  public SRecordMeta<?> getMeta() {
    return meta;
  }
  
}
