package org.hmn.jrsd.test;

import java.io.FileInputStream;
import java.sql.Connection;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Date;
import java.util.Properties;

import org.hmn.jrsd.rt.SormUtils;

import junit.framework.TestCase;
/*
 * 
 * Cree par Harry Karadimas a 19 sept. 2006
 */
/**
 * 
 * @author karadimas
 */
public class TransportMappingsTests
extends OraJrsdTestCase
{
  private static final String TNAME = "TEST_TRANSPORT_MAPPINGS";
  
  /**
   * @see junit.framework.TestCase#setUp()
   */
  protected void setUp()
  throws Exception 
  {
    super.setUp();
    beginConnection("setUp");
    if (!SormUtils.tableExists(TNAME)) {
      System.out.println("Creating table "+TNAME);
      SormUtils.ddl("CREATE TABLE "+TNAME+"(" +
          "FINT INTEGER," +
          "FNAME VARCHAR(32)," +
          "PRIMARY KEY (FINT)" +
          ")");
    }
    SormUtils.ddl("DELETE FROM "+TNAME);
    String colList = "FINT,FNAME";
    SormUtils.ddl("INSERT INTO "+TNAME+"("+colList+") " +
        "VALUES (1, 'FIRST REC')");
    SormUtils.ddl("INSERT INTO "+TNAME+"("+colList+") " +
        "VALUES (2, 'SECOND REC')");
    SormUtils.ddl("INSERT INTO "+TNAME+"("+colList+") " +
        "VALUES (3, " +
"'A NAME THAT IS VERY LONG SO THAT')");
    endConnection();
  }
     
  public void testDateUpdate() throws Exception
  {
    beginConnection("testDateUpdate");
    try {
    }
    catch (Throwable e) {
      e.printStackTrace();
    }
    endConnection();
  }
  
}
