package org.hmn.jrsd.rt;

import java.sql.Blob;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Use with {@link SormUtils#selectExtra(simpleorm.sessionjdbc.SSessionJdbc, simpleorm.dataset.SRecordInstance, String, ResultSetColVisitable)}
 * @author Karadimas
 *
 */
public class BlobCollectVisitor 
implements ResultSetColVisitable 
{
  private Blob blb;
  
  public void visit(ResultSet rs)
  throws ResultSetColVisitException, SQLException
  { blb = rs.getBlob(1); }

  public Blob getBlob() { return blb; }

  public void setBlob(Blob clob) { this.blb = clob; }
  
}
