package org.hmn.jrsd.rt.dbops;

import java.io.IOException;
import java.sql.SQLException;
import java.util.List;


/*
 * 
 * Cree par Harry Karadimas a 1 avr. 08
 */
/**
 * Common ancestor for select and Blob operations, that return a List.
 * If you implement an operation that select a blob, extend this class.
 */
abstract
public class DbListBlobOperation
extends DbOperation
{
  public int getOpType() { return LIST_OP; }
  
  abstract public List<?> execute()
  throws SQLException, IOException
  ;
}
