package org.hmn.jrsd.test;

import simpleorm.dataset.SFieldInteger;
import simpleorm.dataset.SGeneratorMode;
import simpleorm.dataset.SRecordInstance;
import simpleorm.dataset.SRecordMeta;

/**
 * For future generator tests
 * @author Karadimas
 *
 */
public class SGeneratorTests
extends SRecordInstance
{
  private static final long serialVersionUID = 1L;

  static SRecordMeta<SGeneratorTests> meta =
      new SRecordMeta<SGeneratorTests>(SGeneratorTests.class, "SGENERATOR_TESTS");

  @Override
  public SRecordMeta<?> getMeta() { return meta; }
  
  public static SFieldInteger insertGeneratedInt = 
    new SFieldInteger(meta, "INSERT_GENERATED_INT")
    .setGeneratorMode(SGeneratorMode.SINSERT);
  
  public static SFieldInteger sequenceGeneratedInt = 
    new SFieldInteger(meta, "SEQUENCE_GENERATED_INT")
    .setGeneratorMode(SGeneratorMode.SSEQUENCE);
  
  public static SFieldInteger selectMaxGeneratedInt = 
    new SFieldInteger(meta, "SELECT_MAX_GENERATED_INT")
    .setGeneratorMode(SGeneratorMode.SSELECT_MAX);
  
}
