package org.hmn.jrsd.test;

/**
 * An object that represents a Wallet. A wallet is owned by an owner, and
 * contains some money. Used for some very basic tests.
 * @author Karadimas
 *
 */
public class WalletObj
{
  private String owner;
  private Double money;
  
  /**
   * @return the owner
   */
  public String getOwner() {
    return owner;
  }
  /**
   * @param owner the owner to set
   */
  public void setOwner(String owner) {
    this.owner = owner;
  }
  /**
   * @return the money
   */
  public Double getMoney() {
    return money;
  }
  /**
   * @param money the money to set
   */
  public void setMoney(Double money) {
    this.money = money;
  }
  
  @Override
  public String toString() {
    return "[Wallet of '" + owner + "' containing " + money + "]";
  }
}
